Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	Tool to write command line option parsing code for C programs
Name:		gengetopt
Version:	2.22.1
Release:	1
License:	GPLv3+
Group:		Development/Tools
URL:		http://www.gnu.org/software/gengetopt/
Source0:	ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires(post):	/sbin/install-info
Requires(preun): /sbin/install-info

BuildRequires:	valgrind

%description
Gengetopt is a tool to generate C code to parse the command line arguments
argc and argv that are part of every C or C++ program. The generated code uses
the C library function getopt_long to perform the actual command line parsing.

%prep
%setup -q

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./ChangeLog \
  --output ChangeLog.utf-8 && mv ChangeLog.utf-8 ./ChangeLog
iconv --from-code ISO8859-1 --to-code UTF-8 ./THANKS \
  --output THANKS.utf-8 && mv THANKS.utf-8 ./THANKS

%build
%configure
make %{?_smp_mflags}

%check
make check

#pushd ./tests
#  make check-valgrind
#popd

%install
rm -rf $RPM_BUILD_ROOT

make install INSTALL="%{__install} -p" DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

# Move /usr/share/doc/gengetopt/examples to RPM_BUILD_DIR.
# To be later listed against %doc.
mv $RPM_BUILD_ROOT%{_docdir}/%{name}/examples .
rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ]; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS
%doc ChangeLog
%doc COPYING
%doc LICENSE
%doc NEWS
%doc README
%doc THANKS
%doc TODO
%doc doc/index.html
%doc doc/%{name}.html
%doc examples
%{_bindir}/%{name}
%{_infodir}/%{name}.info.gz
%{_mandir}/man1/%{name}.1.gz

%dir %{_datadir}/%{name}
%{_datadir}/%{name}/getopt.c
%{_datadir}/%{name}/getopt1.c
%{_datadir}/%{name}/gnugetopt.h

%changelog
* Wed Sep 17 2008 Christian Metzen <metzench@ccux-linux.de> 2.22.1-1
- Initial release
